| Kea 3.0.2-git

isc::db::MySqlBindingTraits< uint16_t > Struct Reference

Specialization for MySQL SMALLINT UNSIGNED type. More...

`#include <mysql_binding.h>`

## Static Public Attributes
static const bool | am_unsigned = true
static const enum_field_types | column_type = MYSQL_TYPE_SHORT
static const size_t | length = 2

## Detailed Description

Specialization for MySQL SMALLINT UNSIGNED type.

Definition at line 90 of file mysql_binding.h.

## Member Data Documentation

## ◆ am_unsigned

const bool isc::db::MySqlBindingTraits< uint16_t >::am_unsigned = true
| static

Definition at line 93 of file mysql_binding.h.

## ◆ column_type

const enum_field_types isc::db::MySqlBindingTraits< uint16_t >::column_type = MYSQL_TYPE_SHORT
| static

Definition at line 91 of file mysql_binding.h.

## ◆ length

const size_t isc::db::MySqlBindingTraits< uint16_t >::length = 2
| static

Definition at line 92 of file mysql_binding.h.

The documentation for this struct was generated from the following file:

- mysql_binding.h